/**
 *
 * Diplomova prace
 * Stinove techniky na dnesnim hardware a jejich porovnani
 *
 * Michal Toth
 *
 * Fakulta informacnich technologii
 * Vysoke uceni technicke v Brne
 *
 * 2013/2014
 *
 */

/**
 * Fragment shader na zobrazeni hloubky z textury
 */

#version 420
in vec2 tc;
out vec4 fragColor;
uniform sampler2D tex;

void main() {
    float c =texture(tex,tc).x;

    fragColor = vec4((1-c)*5);
}
